/*
 * Copyright (C) 2005-2006 Kouji Sugisawa. All rights reserved.
 */

package jp.sourceforge.livez.imode;

import javax.servlet.http.HttpServletRequest;

import jp.sourceforge.livez.IllegalRequestException;
import jp.sourceforge.livez.imode.UID;

/**
 * MyMenuRequest を実装したクラスです。
 * 
 * @author 杉澤 浩二
 */
final class MyMenuRequestImpl implements MyMenuRequest {

	/**
	 * コンストラクタです。
	 * 
	 * @param request HTTP リクエスト情報
	 * @throws IllegalRequestException HTTP リクエスト情報が不正な場合
	 */
	public MyMenuRequestImpl(final HttpServletRequest request) throws IllegalRequestException {
		uid = new UIDImpl(request.getParameter(UID.KEY));

		if (uid.isGuest())
			throw new IllegalRequestException(uid.toString());

		arg1 = request.getParameter("arg1");
		arg2 = request.getParameter("arg2");
	}

	/**
	 * UID 情報を保持します。
	 */
	private UID uid;

	/*
	 * @see jp.sourceforge.livez.imode.MyMenuRequest#getUID()
	 */
	public UID getUID() {
		return uid;
	}

	/**
	 * IP 用パラメータ1を保持します。
	 */
	private String arg1;

	/*
	 * @see jp.sourceforge.livez.imode.MyMenuRequest#getArg1()
	 */
	public String getArg1() {
		return arg1;
	}

	/**
	 * IP 用パラメータ2を保持します。
	 */
	private String arg2;

	/*
	 * @see jp.sourceforge.livez.imode.MyMenuRequest#getArg2()
	 */
	public String getArg2() {
		return arg2;
	}

}
